curl --request GET \
--url https://api.rhino.fi/sda/deposit-addresses/{depositAddress}/{depositChain}/public-status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rhino.fi/sda/deposit-addresses/{depositAddress}/{depositChain}/public-status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rhino.fi/sda/deposit-addresses/{depositAddress}/{depositChain}/public-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"depositAddress": "<string>",
"depositChain": "<string>",
"destinationChain": "<string>",
"destinationAddress": "<string>",
"lastBridges": [
{
"depositTxHash": "<string>",
"depositTxTimestamp": "<string>",
"tokenSymbol": "<string>",
"depositAmount": "<string>",
"sender": "<string>",
"status": {
"_tag": "DETECTED"
}
}
],
"isPaused": true,
"chainMetadata": {
"_tag": "STELLAR",
"baseAddress": "<string>",
"memoId": "<string>"
}
}{
"issues": [
{
"_tag": "Pointer",
"path": [
"<string>"
],
"message": "<string>"
}
],
"message": "<string>",
"_tag": "HttpApiDecodeError"
}{
"message": "<string>",
"_tag": "Unauthorized"
}{
"message": "<string>",
"addresses": [
"<string>"
],
"_tag": "DepositAddressNotFound"
}Get public deposit address status
Returns the status of a deposit address on a given chain
Authorizations
JWT token for authentication
Path Parameters
The Rhino.fi Smart Deposit Address that the deposit has been sent to, e.g. "0x123...ABC".
The blockchain where the deposit was sent to, e.g. "ETHEREUM".
Query Parameters
The address where tokenOut will be bridged to, e.g. "0x123...ABC".
Response
PublicDepositAddressStatusResponse
The Rhino.fi Smart Deposit Address that the deposit has been sent to.
The blockchain where the deposit was sent to.
The blockchain where the tokenOut will be bridged to.
The address where tokenOut will be bridged to.
An array of bridge transactions associated with this deposit address, including accepted, failed, and rejected transactions.
Show child attributes
Show child attributes
A paused deposit address will reject every deposit made to it.
Optional chain-specific metadata. Currently only populated for Stellar SDAs, where it exposes the base address and memo id that the muxed deposit address resolves to.
Show child attributes
Show child attributes